# $Revision: 1.22 $, $Date: 2012/05/06 13:09:31 $
#
# Conditional build:
%bcond_without	nvidia_settings	# build the main package
%bcond_without	libXNVCtrl	# build libXNVCtrl for http://websvn.kde.org/trunk/kdenonbeta/nvidia/

Summary:	Tool for configuring the NVIDIA driver
Summary(pl.UTF-8):	Narzędzie do konfigurowania sterownika NVIDIA
Name:		nvidia-settings
Version:	295.40
Release:	1
License:	GPL
Group:		X11
Source0:	ftp://download.nvidia.com/XFree86/nvidia-settings/%{name}-%{version}.tar.bz2
# Source0-md5:	e9fd5dcb7f69c12334d199a783544d42
Source1:	%{name}.desktop
Source2:	%{name}.png
URL:		ftp://download.nvidia.com/XFree86/nvidia-settings/
BuildRequires:	OpenGL-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXv-devel
BuildRequires:	xorg-lib-libXxf86vm-devel
%if %{with nvidia_settings}
BuildRequires:	gtk+2-devel
BuildRequires:	m4
BuildRequires:	pkgconfig
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The `nvidia-settings` utility is a tool for configuring the NVIDIA
Linux graphics driver. It operates by communicating with the NVIDIA X
driver, querying and updating state as appropriate. This communication
is done with the NV-CONTROL X extension.

Values such as brightness and gamma, XVideo attributes, temperature,
and OpenGL settings can be queried and configured via nvidia-settings.

When nvidia-settings starts, it reads the current settings from its
configuration file and sends those settings to the X server. Then, it
displays a graphical user interface (GUI) interface for configuring
the current settings. When nvidia-settings exits, it queries the
current settings from the X server and saves them to the configuration
file.

%description -l pl.UTF-8
Narzędzie nvidia-settings służy do konfiguracji sterownika do kart
graficznych firmy NVIDIA. Działa komunikując się ze sterownikiem X
NVIDIA, sprawdzając i uaktualniając stan w razie potrzeby. Komunikacja
odbywa się poprzez rozszerzenie X NV-CONTROL.

Za pomocą nvidia-settings można odczytywać i zmieniać wartości takie
jak jasność i korekcja gamma, atrybuty XVideo, temperatura barw i
ustawienia OpenGL.

Przy uruchamianiu nvidia-settings odczytuje bieżące ustawienia z pliku
konfiguracyjnego i wysyła te ustawienia do serwera X. Następnie
wyświetla graficzny interfejs użytkownika (GUI) do konfiguracji
ustawień. Przy wyłączniu nvidia-settings odczytuje bieżące ustawienia
z serwera X i zapisuje je do pliku konfiguracyjnego.

%package -n libXNVCtrl-devel
Summary:	libXNVCtrl development headers
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXNVCtrl
Group:		Development/Libraries
Requires:	xorg-lib-libX11-devel
Requires:	xorg-lib-libXext-devel
Requires:	xorg-lib-libXxf86vm-devel
Obsoletes:	libXNVCtrl-static

%description -n libXNVCtrl-devel
Library for accessing NV-CONTROL extension in NVIDIA's latest drivers.

%description -n libXNVCtrl-devel -l pl.UTF-8
Biblioteka do obsługi rozszerzenia NV-CONTROL z najnowszych
sterowników NVIDIA.

%prep
%setup -q

%{__rm} src/libXNVCtrl/libXNVCtrl.a

%build
%if %{with libXNVCtrl}
%{__make} -C src/libXNVCtrl \
	NV_VERBOSE=1 \
	CC="%{__cc}" \
	X_CFLAGS="%{rpmcppflags} %{rpmcflags} -fPIC"
%endif

%if %{with nvidia_settings}
%{__make} \
	NV_VERBOSE=1 \
	STRIP_CMD=: \
	CC="%{__cc}" \
	X_CFLAGS="%{rpmcppflags} %{rpmcflags}" \
	X_LDFLAGS="%{rpmldflags}"
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with nvidia_settings}
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_desktopdir},%{_pixmapsdir}}
%{__make} install \
	INSTALL="install -p" \
	prefix=$RPM_BUILD_ROOT%{_prefix}
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}
%endif

%if %{with libXNVCtrl}
install -d $RPM_BUILD_ROOT%{_examplesdir}/libXNVCtrl-%{version} \
	$RPM_BUILD_ROOT{%{_libdir},%{_includedir}/NVCtrl}
cp -a samples/* $RPM_BUILD_ROOT%{_examplesdir}/libXNVCtrl-%{version}
cp -p src/libXNVCtrl/NVCtrl.h $RPM_BUILD_ROOT%{_includedir}/NVCtrl
cp -p src/libXNVCtrl/NVCtrlLib.h $RPM_BUILD_ROOT%{_includedir}/NVCtrl
cp -p src/libXNVCtrl/libXNVCtrl.a $RPM_BUILD_ROOT%{_libdir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with nvidia_settings}
%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/nvidia-settings
%{_mandir}/man1/nvidia-settings.1*
%{_desktopdir}/nvidia-settings.desktop
%{_pixmapsdir}/nvidia-settings.png
%endif

%if %{with libXNVCtrl}
%files -n libXNVCtrl-devel
%defattr(644,root,root,755)
%doc doc/{FRAMELOCK,NV-CONTROL-API}.txt
%dir %{_includedir}/NVCtrl
%{_includedir}/NVCtrl/NVCtrl.h
%{_includedir}/NVCtrl/NVCtrlLib.h
%{_libdir}/libXNVCtrl.a
%{_examplesdir}/libXNVCtrl-%{version}
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nvidia-settings.spec,v $
Revision 1.22  2012/05/06 13:09:31  glen
- up to 295.40, to match current HEAD@xorg-driver-video-nvidia

Revision 1.21  2011/03/13 20:08:52  glen
- up to 270.30

Revision 1.20  2011/03/13 19:15:07  glen
- add .desktop file from xorg-driver-video-nvidia package

Revision 1.19  2010/06/14 13:04:25  sparky
- use rpmcppflags

Revision 1.18  2010/06/14 11:38:19  glen
- up to 195.36.31, fix libs linking

Revision 1.17  2010/05/19 17:58:22  sparky
- BR: OpenGL-devel, xorg-lib-libXv-devel

Revision 1.16  2010/05/10 10:24:02  baggins
- rel 2
- added missing dir

Revision 1.15  2010/05/10 10:03:14  baggins
- reworked libXNVCtrl packages, only devel is realy needed
- there is no point in forcing shared lib (that lib is ~15KB)
- install files where users expect them to be (see gnome-sensors)
- cleaned up BRs

Revision 1.14  2010/05/04 22:41:52  baggins
- started update to something recent

Revision 1.13  2008/06/27 12:02:31  paszczus
- added BR: xorg-util-imake

Revision 1.12  2007/02/13 07:16:50  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:49:13  baggins
- converted to UTF-8

Revision 1.10  2007/01/14 21:51:51  qboosh
- pl summary

Revision 1.9  2006/12/28 00:10:45  glen
- put devel docs and examples to libXNVCtrl-devel

Revision 1.8  2006/12/27 23:47:57  glen
- update to tarball dated 20061219

Revision 1.7  2006/12/27 21:59:17  glen
- strict internal deps

Revision 1.6  2006/10/05 10:16:15  glen
- don't use reserved %{_build} macro

Revision 1.5  2006/10/04 13:12:10  charles
- updated to latest build

Revision 1.4  2006/01/31 14:33:40  sparky
- pass CC, CFLAGS
- BRs

Revision 1.3  2006/01/31 12:38:03  qboosh
- pl, no "prefix" in /usr/X11R6 paths

Revision 1.2  2006/01/30 21:13:54  glen
- amd64 unfix

Revision 1.1  2006/01/30 21:11:16  glen
- new (based on altlinux spec)
- need for libXNVCtrl library
